<!doctype html>

  <html class="no-js"  <?php language_attributes(); ?>>

	<head>
		<?php get_template_part( 'parts/header', 'head' ); ?>
	</head>
	
	<body <?php body_class(); ?>>

		<div class="off-canvas-wrapper">
			
			<div class="off-canvas-wrapper-inner" data-off-canvas-wrapper>
				
				<?php get_template_part( 'parts/content', 'offcanvas' ); ?>
				
				<div class="off-canvas-content" data-off-canvas-content>
					
					<?php get_template_part( 'parts/nav', 'sub-menu' ); ?>
					
					<header class="header" role="banner">
							
						<?php get_template_part( 'parts/nav', 'offcanvas-topbar' ); ?>
						
						<?php
						$geolocation = get_field('geolocation');
						if ($geolocation) {
							$zoom = get_field('zoom');
							$zoom = $zoom? $zoom : 10;
							?>
							<div id="contactsmap">
								<div class="map-holder"><div id="map_canvas" style="width:100%; height:500px;"></div></div>
								<script>
									var map;
									var latLng;

									jQuery("document").ready(function() {
										latLng = new google.maps.LatLng(<?php print $geolocation['lat'] ?>, <?php print $geolocation['lng'] ?>); 
										var mapOptions = {
											zoom:<?php print $zoom ?>,
											mapTypeId: google.maps.MapTypeId.ROADMAP,
											mapTypeControl: false,
											scrollwheel:false,
											draggable:true,
											styles: mapStyles,
											streetViewControl:false,
											zoomControl:true,
											panControl:false,
											disableDoubleClickZoom:false,
											panControlOptions: {position:google.maps.ControlPosition.LEFT_BOTTOM},
											zoomControlOptions: {position:google.maps.ControlPosition.LEFT_BOTTOM},
											center: latLng
										}
										map = new google.maps.Map(jQuery("#map_canvas")[0], mapOptions);	

										marker = new google.maps.Marker({
											icon: {url:"<?php print get_template_directory_uri() ?>/img/map-logo.png",anchor:new google.maps.Point(20,18)},
											position: latLng,
											map: map
										});


									});
								</script>
							</div>						
							<?php
						}

						?>
						
					</header> <!-- end .header -->
					
					
					
					