<?php

add_shortcode( 'gulfnewsletters', 'shortcode_gulfnewsletters' );
function shortcode_gulfnewsletters( $atts=null ){
	if (is_array($atts)) {
		extract($atts);
	}
	if (!isset($volume)) {
		return;
	}

	$newsletters = array();
	
	$newsletters = get_transient('gulf_newsletters_'.$volume);
	if (empty($newsletters)) {
		$url = 'https://extranet.gulfoilltd.com/wp-admin/admin-ajax.php?action=get_newsletters&volume='.$volume;
		$json = gulf_curl($url);
		$json = json_decode($json);
		if ($json) {
			foreach ($json as $i => $newsletter) {
				$newsletters[$newsletter->published] = $newsletter;
			}

			krsort($newsletters);
			
		}
		set_transient('gulf_newsletters_'.$volume,$newsletters,60*60*1);
	}
	
	$out = '';
	if ($newsletters) {
		$out .= '<div class="row" id="gulf-newsletters" data-equalizer data-equalize-on="medium" data-equalize-by-row="true" >';
		foreach ($newsletters as $i => $newsletter) {
			$out .= '<div class="columns medium-3 text-center end gulf-newsletter" data-equalizer-watch>';
			if (property_exists($newsletter, 'document')) {
				$out .= '<a href="'.$newsletter->document.'" target="_blank">';
			} else {
				$out .= '<a rel="newsletters" href="/wp-admin/admin-ajax.php?action=gulf_show_newsletter&id='.$i.'&volume='.$volume.'" data-fancybox-type="iframe">';
			}
			$published = $newsletter->published? date('F Y',strtotime($newsletter->published)) : '';
			if ($newsletter->image) {
				$out .= '<img src="data:image/png;base64,'.$newsletter->image.'" />';
			}
			$out .= '<h5>'.$newsletter->post_title.'</h5></a>';
			$out .= '<p class="published">'.$published.'</p>';

			$out .= '</div>';
		}
		$out .= '</div>';
		
		$out .= '<script>
			jQuery(document).ready(function() {
				jQuery("#gulf-newsletters a[rel=newsletters]").fancybox({
					width:716,
					padding:0
				});
			});
			</script';

	}

	return $out;
}


add_action('wp_ajax_gulf_show_newsletter','gulf_show_newsletter');
add_action('wp_ajax_nopriv_gulf_show_newsletter','gulf_show_newsletter');
function gulf_show_sport_newsletter() {
	$id = getGet('id');
	$volume = getGet('volume');
	
	$newsletters = get_transient('gulf_newsletters_'.$volume);
	if (empty($newsletters)) {
		die();
	}
	
	if (array_key_exists($id, $newsletters)) {
		print $newsletters[$id]->html;
	}
	
	die();
}



/*add_shortcode( 'gulfsport', 'shortcode_gulfsport' );
function shortcode_gulfsport( $atts=null ){
	if (is_array($atts)) {
		extract($atts);
	}

	$newsletters = array();
	
	$newsletters = get_transient('gulf_sport_newsletters');
	if (empty($newsletters)) {
		$json = gulf_curl('http://extranet.gulfoilltd.com/wp-admin/admin-ajax.php?action=get_newsletters&type=sport');
		$json = json_decode($json);
		if ($json) {
			foreach ($json as $i => $newsletter) {
				$newsletters[$newsletter->published] = $newsletter;
			}

			krsort($newsletters);
			
		}
		set_transient('gulf_sport_newsletters',$newsletters,60*60*1);
	}
	
	if ($newsletters) {
		$out = '<div class="row" id="sport-newsletters">';
		foreach ($newsletters as $i => $newsletter) {
			$out .= '<div class="columns medium-3 text-center"><a rel="newsletters" href="/wp-admin/admin-ajax.php?action=gulf_show_sport_newsletter&id='.$i.'" data-fancybox-type="iframe">';
			if ($newsletter->image) {
				$out .= '<img src="data:image/png;base64,'.$newsletter->image.'" />';
				$out .= '<h4>'.$newsletter->post_title.'</h4></a>';
			}
			$out .= '</div>';
		}
		$out .= '</div>';
		
		$out .= '<script>
			jQuery(document).ready(function() {
				jQuery("#sport-newsletters a").fancybox({
					width:716,
					padding:0
				});
			});
			</script';

	}

	return $out;
}

*/