jQuery(document).ready(function() {
	jQuery('.distributorfilter select').change(updateDistributorsFilter);
	jQuery('.distributorfilter #filtercountry').change(updateDistributorsRegions);
	
});


function updateDistributorsRegions() {
	var country = jQuery(this).val();
	console.log(country);
	jQuery('.distributorfilter #filterregion').val('');
	jQuery('.distributorfilter #filterregion option').each(function() {
		var countries = jQuery(this).data('countries');
		if (countries) {
			jQuery(this).toggleClass('hidden',countries.split(',').indexOf(country)==-1);
		}
	});
	updateDistributorsFilter();
}

function updateDistributorsFilter() {
	var product = jQuery('#filterproduct').val();
	var country = jQuery('#filtercountry').val();
	var region = jQuery('#filterregion').val();
	
	jQuery(markers).each(function() {
		if (product.length > 0 || (country && country.length > 0) || (region && region.length > 0) ) {
			var visible = false;
			if (product && this.data.services) {
				for (var i=0; i<this.data.services.length; i++) {
					if (product == this.data.services[i]) {
						visible = true;
					}
				}
			} else {
				visible = true;
			}
			if (country && country.length > 0) {
				visible = visible && (this.data.countries.indexOf(country) > -1);
			}
			if (region && region.length > 0) {
				visible = visible && (this.data.region == region);
			}
			this.setVisible(visible);
		} else {
			this.setVisible(true);
		}

	});
	distributorsRecentreMap();
	markerCluster.repaint();
	
}

function distributorsRecentreMap() {
	 var bounds = new google.maps.LatLngBounds();

    for (var i=0; i<markers.length; i++) {
        if(markers[i].getVisible()) {
            bounds.extend( markers[i].getPosition() );
        }
    }

    map.fitBounds(bounds);
	
}