<?php

$distributors = get_posts(array('post_type'=>'distributor','posts_per_page'=>-1));
foreach ($distributors as $i => $distributor) {
	$distributor = new PostType($distributor);
	$distributors[$i] = $distributor;
}


$default = get_theme_mod('distributors_default');
$default = empty($default)? 'All' : $default;

$countrylist = gulf_country_list();

$allservices = array();
$allregions = array();
$allcountries = array();


foreach ($distributors as $i => $distributor) {
	$services = $distributor->services;
	if (!is_array($services)) {
		$services = array($services);
	}
	foreach ($services as $service) {
		if (!in_array($service, $allservices)) {
			$allservices[] = $service;
		}
	}
	
	$country = $distributor->country;
	if (is_array($country)) {
		$allcountries = array_merge($allcountries,$country);
	}
	
	$region = $distributor->region;
	if ($region && !in_array($region,$allregions)) {
		$allregions[$region] = ['name'=>$region,'countries'=>$country];
	}
}
$allservices = array_filter($allservices);
if (empty($allservices)) {
	return;
}

$allregions = array_filter($allregions);

$allcountries = array_filter(array_unique($allcountries));


$options = array('<option value="" '.($default=='All'? 'SELECTED' : '').'>'.__('All Distributors','gulfoil').'</option>');
foreach ($allservices as $service) {
	$options[] = '<option value="'.$service.'" '.($default==$service? 'SELECTED' : '').'>'.__($service,"gulfoil").'</option>';
}



$countries = get_terms('country');
if (count($countries) > 1) {
	foreach ($countries as $i => $country) {
		$countries[$i] = '<option value="'.$country->slug.'">'.__($country->name,"gulfoil").'</option>';
	}
} elseif ($allcountries) {
	$countries = [];
	foreach ($allcountries as $i => $country) {
		$countries[$i] = '<option value="'.$country.'">'.__($countrylist[$country],"gulfoil").'</option>';
	}
}

$regions = [];
if ($allregions) {
	asort($allregions);
	foreach ($allregions as $i => $region) {
		$regions[$i] = '<option value="'.$region['name'].'" data-countries="'.implode(',',$region['countries']).'">'.__($region['name'],"gulfoil").'</option>';
	}
}

$cols = 1;
if (count($allcountries) > 1) {
	$cols++;
}
if (count($allregions) > 1) {
	$cols++;
}

$columnclasses = [
	1=>'medium-6 medium-push-3',
	2=>'medium-6',
	3=>'medium-4',
]



?>
<div class="distributorfilter">
	<div class="row">
		<?php
		if (count($countries) > 1) {
			?>
			<div class="filtersection columns <?php print $columnclasses[$cols] ?>">
				<label><?php _e('Country','gulfoil') ?></label>
				<select id="filtercountry"><option value=""><?php _e('All Countries') ?></option><?php print implode('',$countries) ?></select>
			</div>
			<?php
		}
		if (count($allregions) > 1) {
			?>
			<div class="filtersection columns <?php print $columnclasses[$cols] ?>">
				<label><?php _e('Region','gulfoil') ?></label>
				<select id="filterregion"><option value=""><?php _e('All Regions','gulfoil') ?></option><?php print implode('',$regions) ?></select>
			</div>
			<?php
		}
		?>
		<div class="filtersection columns <?php print $columnclasses[$cols] ?>">
			<label><?php _e('Product/Service','gulfoil') ?></label>
			<select id="filterproduct"><?php print implode('',$options) ?></select>
		</div>
	</div>
</div>
