<?php
$zoom = $minzoom = 2;
$maxzoom = 100;

$grouping = trim(get_theme_mod('distributors_grouping'));
if (!is_numeric($grouping)) {
	$grouping = 40;
}


?>
<div id="contactsmap">
	<div class="map-holder"><div id="map_canvas" style="width:100%; height:500px;"></div></div>
	<script>
		var map;
		var latLng;
		var infoWindow;
		var detailsWindow;
		var markerCluster;

		var markers = [];

		jQuery("document").ready(function() {
			var bounds = new google.maps.LatLngBounds();

			var mapOptions = {
				zoom:<?php print $zoom ?>,
				mapTypeId: google.maps.MapTypeId.ROADMAP,
				mapTypeControl: false,
				scrollwheel:true,
				draggable:true,
				minZoom:<?php print $minzoom ?>,
				maxZoom:<?php print $maxzoom ?>,
				styles: mapStyles,
				streetViewControl:false,
				zoomControl:true,
				panControl:false,
				disableDoubleClickZoom:false,
				panControlOptions: {position:google.maps.ControlPosition.LEFT_BOTTOM},
				zoomControlOptions: {position:google.maps.ControlPosition.LEFT_BOTTOM}

			}
			map = new google.maps.Map(jQuery("#map_canvas")[0], mapOptions);	

			infoWindow = new InfoBubble({
				disableAutoPan: true,
				hideCloseButton: true,
				disableAnimation: true,
				backgroundClassName: 'infowindow',
				padding: 0,
				borderRadius: 0,
				backgroundColor: "#000E2A",
				borderWidth: 0,
				maxWidth: 350,
				minWidth: 250,
				zIndex: 200
			});

			detailsWindow = new InfoBubble({
				disableAutoPan: false,
				hideCloseButton: false,
				disableAnimation: true,
				closeSrc: "<?php print get_template_directory_uri() ?>/img/close.16.png",
				backgroundClassName: 'infowindow',
				padding: 0,
				borderRadius: 0,
				backgroundColor: "#000E2A",
				borderWidth: 0,
				maxWidth: 500,
				minWidth: 400,
				maxHeight: 350,
				zIndex: 201
			});

			jQuery.ajax(Ajax.ajaxurl,{
				data: {action:"loadDistributors"},
				dataType: 'json',
				success: function(data,textStatus,jqXHR) {
					var marker;
					jQuery(data).each(function() {
						latLng = new google.maps.LatLng(this.geolocation.lat, this.geolocation.lng); 
						bounds.extend(latLng);
						marker = new google.maps.Marker({
							icon: {url:"<?php print get_template_directory_uri() ?>/img/map-logo.png",anchor:new google.maps.Point(20,18)},
							position: latLng,
							map: map,
							data: this
						});

						markers.push(marker);

						google.maps.event.addListener(marker, 'click', function() {
							map.setZoom(12);
							infoWindow.close();
							detailsWindow.close();
							var dWC = detailsWindow.getContent();
							var services = '';
							if (this.data.openingtimes) {
								services += this.data.openingtimes+'<hr/>';
							}
							if (this.data.fuels) {
								services += this.data.fuels+'<hr/>';
							}
							if (this.data.servicesamenities) {
								services += this.data.servicesamenities;
							}
							dWC = '<div class="headtitle row"><h4>'+this.data.title+
										(this.data.icons? '<span class="icons">'+this.data.icons+'</span>' : '')+
										(this.data.subtitle? '<span class="subtitle">'+this.data.subtitle+'</span>' : '')+
										(this.data.parent? '<span class="subtitle">'+this.data.parent+'</span>' : '')+
										'</h4>'+
									'</div>'+
									'<div class="details row"><div class="contact columns small-6">'+this.data.address+
										(this.data.phone? '<p class="phone">'+this.data.phonelink+'</p>' : '')+
										(this.data.email? '<p class="email">'+this.data.emaillink+'</p>' : '')+
										(this.data.website? '<p>'+this.data.website+'</p>' : '')+
									'</div><div class="services columns small-6">'+services+'</div></div>';
							detailsWindow.setContent(dWC);
							detailsWindow.open(map,this);
							map.setCenter(marker.getPosition());
							
						});
						google.maps.event.addListener(marker, 'mouseover', function() {
							if (!detailsWindow.isOpen()) {
								infoWindow.setContent('<div class="headtitle"><h6>'+this.data.title+'</h6></div><div class="details"><div class="contact">'+this.data.address+'<p class="">'+this.data.phonelink+'</p></div></div>');
								infoWindow.open(map,this);
							}
						});
						google.maps.event.addListener(marker, 'mouseout', function() {
							infoWindow.close();
						});						
					});

					map.fitBounds(bounds); 
//					map.setCenter(new google.maps.LatLng(15, 0))
					<?php
					if ($grouping > 0) {
						?>
					markerCluster = new MarkerClusterer(map, markers, {styles:clusterStyles, ignoreHidden:true, gridSize:<?php print $grouping ?>});
						<?php
					}
					?>
					
					updateDistributorsFilter();

				}
			});

			jQuery(window).on('keydown',function(event) {
				if ( event.which == 27 ) {
					detailsWindow.close();
				}
			});



		});
	</script>
</div>
