<?php

$object = gulf_get_display_object();
if (!$object) {
	return;
}
$autolinks = $object->getField('automatic_links');

if ($autolinks) {
	$objectid = $object->post_type == 'translation'? $object->translation_parent : $object->ID;
	$children = get_children(array(
		'post_parent' => $objectid,
		'post_type' => 'any',
		'post_status' => 'publish',
		'order' => 'ASC',
		'orderby' => 'menu_order',
 	));
	
	$links = array();
	foreach ($children as $link) {
		$link = new PostType($link);
		$links[] = (object) array(
			'image' => $link->featured,
			'title' => $link->post_title,
			'link' => $link->link,
			'content' => $link->post_excerpt,
		);
	}

} else {
	$links = $object->getField('links');
}

if (empty($links)) {
	return;
}

$cols = (int) $object->getField('links_columns');

$colsgroups = array();
if ($cols == 0) { // Automatic detection
	$cols = count($links);

	switch ($cols) {
		case 4:
			$colsgroups = array(2,2); break;
		case 5:
			$colsgroups = array(2,3); break;
		case 6:
			$colsgroups = array(3,3); break;
		case 7:
			$colsgroups = array(2,3,2); break;
		case 8:
			$colsgroups = array(2,3,3); break;
		case 9:
			$colsgroups = array(3,3,3); break;
		case 10:
			$colsgroups = array(2,3,2,3); break;
		default:
			if ($cols > 10) {
				$chunks = floor($cols/5);
				$colsgroups = array();
				for ($i=0; $i<$chunks; $i++) {
					$colsgroups[] = 2;
					$colsgroups[] = 3;
				}
				$remainder = $cols-(5*$chunks);
				switch ($remainder) {
					case 1:
						$colsgroups[count($colsgroups)-2] = 3; // Add to last but one line
						break;
					case 2:
					case 3:
						$colsgroups[] = $remainder;
						break;
					case 4:
						$colsgroups[count($colsgroups)-2] = 3; // Add to last but one line
						$colsgroups[] = 3;
						break;
				}
			} else {
				$colsgroups = array(max(2,$cols));
			}
	}
} else {
	$nrows = ceil(count($links)/$cols);
	$colsgroups = array_fill(0,$nrows,$cols);
}

$count = 0;
foreach ($colsgroups as $cols) {
	if ($cols < 3) {
		$imageWidth = 600;
		$imageHeight = 300;
	} else {
		$imageWidth = 400;
		$imageHeight = 250;
	}

	?><div id="elements-links" class="row" data-equalizer data-equalize-on="medium"><?php

	$row = array_slice($links,$count,$cols);
	foreach ($row as $i => $link) {
		$link = (Object) $link;
		
		$image = $link->image;
		if (!$image) {
			global $NOIMAGE;
			$image = $NOIMAGE;
		} else {
			$image = new Image($image);
		}

		$image = $image->src($imageWidth,$imageHeight);

		$title = $link->title;

		$url = $link->link;
		if (!$url) {
			if (property_exists($link,'url')) {
				$url = $link->url;
			}
		}
		if ($url) {
			$image = '<a href="'.$url.'">'.$image.'</a>';
			$title = '<a href="'.$url.'">'.$title.'</a>';
			$linkbox = '<a class="linkbutton" href="'.$url.'"><i class="fa fa-chevron-right fa-2x" aria-hidden="true"></i></a>';			
		} else {
			$linkbox = '';
		}
		
		switch ($cols) {
			case 2:
				$columnclasses = 'medium-6'; break;
			case 3:
				$columnclasses = 'medium-4'; break;
			case 4:
				$columnclasses = 'medium-3'; break;
			default:
				$columnclasses = '';
		}
		
		if (count($row) < $cols) {
			$gap = (12-(count($row)*(12/$cols)))/2;
			if (round($gap) == $gap) { // Only centre align if it looks right
				$columnclasses .= ' medium-push-'.$gap;
			}
		}
		
		 $columnclasses .= ' end';

		?>
	<div class="elements-link columns <?php print $columnclasses ?>"  >
		<div class="link-pad">
			<div class="link-texture" >
				<div class="link-imagery"><?php print $image ?></div>
				<div class="link-content" >
					<div class="link-content-pad" data-equalizer-watch>
						<h4><?php print $title ?></h4>
						<?php print wpautop($link->content) ?>
					</div>
					<?php print $linkbox ?>
				</div>
			</div>
		</div>
	</div>
		<?php

		$count++;
	}

	?></div><?php	
}

