<div id="timeline">
	<div class="row" data-equalizer data-equalize-on="medium">

		<?php
		$i = 0;
		
		$events = array();

		while (have_posts())  {
			the_post();

			$translation = gulf_get_translation($post->ID);
			if ($translation) {
				$item = new TimelineEvent($translation);
			} else {
				$item = new TimelineEvent($post);
			}
			
			$classes = array();

			$timelines = $item->timelines;
			if (is_array($timelines) && count($timelines)) {
				$classes = array_merge($classes,$timelines);
			}


			$date = strtotime($item->eventdate);
			$key = $date.rand(1001,9999);
			
			$events[$key] = $item;
		}
		
		krsort($events);
		
		foreach ($events as $item) {
			$date = $item->date;

			$link = $item->link;

			$highlight = $item->highlight;

			$title = $item->post_title;

			if ($link) {
				$title = '<a href="'.$link.'">'.$title.'</a>';
			}

			$images = $item->images;
//			print_r($images);
			$image = '';
			if ($images) {
				if ($highlight) {
					$image = '<div class="imagery">'.$images[0]->src('width=1200&height=400&crop=1').'</div>';
				} else {
					$image = $images[0]->src('width=100&height=100&crop=1',null,'thumb');
				}
				$image = $image;
			}

			$contentclasses = $itemclasses = array();
			if ($highlight) {
				$title = '<h2>'.$title.'</h2>';
				$itemclasses[] = 'highlight';
				$i = 0;
			} else {
				$title = '<h4>'.$title.'</h4>';
				$itemclasses[] = $i%2==0? 'normal even medium-6' : 'normal odd medium-6';
				$contentclasses[] = 'medium-10';
				$contentclasses[] = $i%2==0? '' : 'medium-offset-2';
				$i++;
			}

			?>
			<div class="<?php print implode(' ',$classes) ?> <?php print implode(' ',$itemclasses) ?> columns timeline-event">
				<div class="row">
					<?php print $highlight? $image : '' ?>
					<div class="<?php print implode(' ',$contentclasses) ?> columns">
						<div class="date <?php print strtolower($item->fidelity) ?>"><?php print $date ?></div>
						<div class="timeline-event-pad" data-equalizer-watch>
							<div class="timeline-event-details">
								<?php print !$highlight? $image : '' ?>
								<?php print $title ?>
								<?php print apply_filters('the_content',$item->post_content) ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php

			if ($highlight || $i%2==0) {
				?>
				</div>
				<div class="row" data-equalizer data-equalize-on="medium">
				<?php
			}

		}
		?>
	</div>
</div>