<?php
add_action( 'widgets_init', function() {register_widget( "FacebookFeed_Widget" );} );

class FacebookFeed_Widget extends WP_Widget {

	public function __construct() {
		$widget_ops = array( 'description' => __( "Shows a Facebook feed","gulfoil") );
		parent::__construct( 'facebook_feed', __('Facebook Feed',"gulfoil"), $widget_ops );
	}

	public function widget($args, $instance) {
		global $post;
		
		$facebook = get_theme_mod('facebook');
		if (empty($facebook)) {
			return;
		}

		$columns = isset($instance['gulf_widget_columns'])? $instance['gulf_widget_columns'] : 4;

		/** This filter is documented in wp-includes/default-widgets.php */
		$instance['title'] = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
		$instance['height'] = empty( $instance['height'] ) ? '' : $instance['height'];

		echo $args['before_widget'];

		if ( !empty($instance['title']) )
			echo $args['before_title'] . $instance['title'] . $args['after_title'];

		echo social_facebook($facebook,$columns,$instance['height']);

		echo $args['after_widget'];
	}

	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		if ( ! empty( $new_instance['title'] ) ) {
			$instance['title'] = strip_tags( stripslashes($new_instance['title']) );
		}
		if ( ! empty( $new_instance['height'] ) ) {
			$instance['height'] = strip_tags( stripslashes($new_instance['height']) );
		}
		return $instance;
	}

	public function form( $instance ) {
		$title = isset( $instance['title'] ) ? $instance['title'] : '';
		$height = isset( $instance['height'] ) ? $instance['height'] : '';

		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $title; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('Height:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>" value="<?php echo $height; ?>" />
		</p>
		<?php
		
	}
}
