<?php
add_action( 'widgets_init', function() {register_widget( "ProductMenu_Widget" );} );

class ProductMenu_Widget extends WP_Widget {

	public function __construct() {
		$widget_ops = array( 'description' => __( "Shows a menu for products at the same menu level","gulfoil") );
		parent::__construct( 'product_menu', __('Product Menu',"gulfoil"), $widget_ops );
	}

	public function widget($args, $instance) {
		global $post;
		
		if ($post->post_type != 'gulfproduct' || $post->post_parent == 0) {
			return;
		}

		
		echo $args['before_widget'];

		
		$parent = new PostType($post->post_parent);
		
		?>
		<h4 class="widgettitle"><?php print $parent->post_title ?></h4>
		<ul>
			<?php

			$children = get_children(array(
				'post_parent' => $parent->ID,
				'post_status' => 'publish',
				'orderby' => 'menu_order',
				'order' => 'ASC',
			));

			foreach ($children as $child) {
				print '<li class="'.($child->ID==$post->ID? 'active' : '').'"><a href="'.get_permalink($child->ID).'">'.$child->post_title.'</a></li>';
			}

			?>
		</ul>
		<?php
		
		echo $args['after_widget'];
	}

	
	public function update( $new_instance, $old_instance ) {
		$instance = array();

		return $instance;
	}

	public function form( $instance ) {
		?>
<p>Will only show on product pages</p>
		<?php
	}
}
